class AuthorsController < ApplicationController
  before_filter :authenticate_user!, :only => [:index, :show]
  before_filter :authenticate_admin!, :only => [:list, :browse]

  def index
    @page = Author.page params[:page]
    @page_size = Author.page_size params[:page_size]
    @authors = Author.list({}, @page, @page_size)

    respond_to do |format|
      format.html # index.html.erb
      format.json { render :json => @authors.to_json(Author.list_json_opt) }
    end
  end

  def show
    @author = Author.show(params[:id])

    respond_to do |format|
      format.html
      format.json { render :json => @author.to_json(Author.list_json_opt) }
    end
  end

  def count
    @author = {:count => Author.visible_count}
    respond_to do |format|
      format.json { render json: @author.to_json }
    end
  end
  
  def list
    @authors = Author.all

    respond_to do |format|
      format.html { render layout: 'system' }
    end
  end

  def browse
    @author = Author.find(params[:id])

    respond_to do |format|
      format.html { render layout: 'system' }
    end
  end
  
end
